org.apache.ignite.internal.util

## Class GridClassLoaderCache

- java.lang.Object
- - org.apache.ignite.internal.util.GridClassLoaderCache

    public final class GridClassLoaderCache
    extends Object

Caches class loaders for classes.

### Method Summary

Methods
`static ClassLoader` `classLoader(Class<?> cls)` Gets cached ClassLoader for efficiency since class loader detection has proven to be slow.
`static void` `clear()` Intended for test purposes only.
`static void` `onUndeployed(ClassLoader ldr)`
`static void` `printMemoryStats()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### classLoader

    public static ClassLoader classLoader(Class<?> cls)

Gets cached ClassLoader for efficiency since class loader detection has proven to be slow.

Parameters:
  `cls` - Class.
Returns:
  ClassLoader for the class.

#### onUndeployed

    public static void onUndeployed(ClassLoader ldr)

Parameters:
  `ldr` - Undeployed class loader.

#### printMemoryStats

    public static void printMemoryStats()

#### clear

    public static void clear()

Intended for test purposes only.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015